package org.springblade.modules.order.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.order.pojo.entity.OperationOrderLetterEntity;

import java.math.BigDecimal;

public interface OperationOrderLetterMapper extends BaseMapper<OperationOrderLetterEntity> {

      String ifLatestRecord(@Param("orderId") String orderId);

      OperationOrderLetterEntity getLatestLetter(@Param("id") String id);

      //获取公函中的扣款总额
	  BigDecimal getTotalDeductionAmount(@Param("orderId") String orderId);

}
